An issue of a slot: its dates, price, campaign and any proposal
GET
/api/v1/workspaces/{workspace}/sponsor-slots/{id}/issues/{number}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1 \ --header 'Authorization: Bearer <token>'Permission: earn:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
id
required
The slot’s id
string format: uuid
The slot’s id
number
required
The issue’s number
integer format: int64
The issue’s number
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bookingId
string
campaign
object
at
string format: date-time
author
string
byHand
required
boolean
id
required
string
name
required
string
status
required
string
canManage
required
boolean
creativeDue
required
string format: date-time
currency
required
string
helpers
required
Array<string>
issue
required
integer format: int64
issueOn
required
string format: date-time
library
required
Array<object>
object
id
required
string
initials
required
string
logoUrl
string
name
required
string
listName
required
string
paymentDue
required
string format: date-time
placement
required
string
priceCents
required
integer format: int64
proposals
required
Array<object>
object
agent
required
string
at
required
string format: date-time
id
required
string
note
required
string
priceCents
required
integer format: int64
sponsor
object
id
required
string
initials
required
string
logoUrl
string
name
required
string
slotId
required
string
slotName
required
string
termsDays
required
integer format: int64
Example generated
{ "bookingId": "example", "campaign": { "at": "2026-04-15T12:00:00Z", "author": "example", "byHand": true, "id": "example", "name": "example", "status": "example" }, "canManage": true, "creativeDue": "2026-04-15T12:00:00Z", "currency": "example", "helpers": [ "example" ], "issue": 1, "issueOn": "2026-04-15T12:00:00Z", "library": [ { "id": "example", "initials": "example", "logoUrl": "example", "name": "example" } ], "listName": "example", "paymentDue": "2026-04-15T12:00:00Z", "placement": "example", "priceCents": 1, "proposals": [ { "agent": "example", "at": "2026-04-15T12:00:00Z", "id": "example", "note": "example", "priceCents": 1, "sponsor": { "id": "example", "initials": "example", "logoUrl": "example", "name": "example" } } ], "slotId": "example", "slotName": "example", "termsDays": 1}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}